Jammy python notes

From OSGeo
Jump to navigation Jump to search

IPython3

ipython3
Python 3.10.4 (main, Apr  2 2022, 09:04:19) [GCC 11.2.0]
Type 'copyright', 'credits' or 'license' for more information
IPython 7.31.1 -- An enhanced Interactive Python. Type '?' for help.

ipython3 | Unpacking python3-backcall (0.2.0-2) ... | -parso (0.8.1-1) ... | -jedi (0.18.0-1) ... | -traitlets (5.1.1-1) ... | -matplotlib-inline (0.1.3-1) ... | -pickleshare (0.7.5-5) ... | -wcwidth (0.2.5+dfsg1-1) ... | -prompt-toolkit (3.0.28-1) ... | ipython3 (7.31.1-1) ...

Python3 Pandas

python3-pandas | -matplotlib (3.5.1-2build1) ... | -numba (0.55.1-0ubuntu2) ... | -pandas-lib:amd64 (1.3.5+dfsg-3) ... | -pandas (1.3.5+dfsg-3) ... | -setuptools (59.6.0-1.2) ... | -wheel (0.37.1-2) ... | -pip (22.0.2+dfsg-1) ... | -pluggy (0.13.0-7.1) ... | -py (1.10.0-1) ... | -toml (0.10.2-1) ... | -pytest (6.2.5-1ubuntu2) ... | -tables-lib (3.7.0-2build1) ... | -tables (3.7.0-2build1) ... | -numexpr (2.8.1-1build1) ... | -openpyxl (3.0.9-1) ... | -xlwt (1.3.0-3) ... | -scipy (1.8.0-1)

mjam@x10jam:~/srcs_mjam$ sudo apt install python3-pandas
Reading package lists... Done
Building dependency tree... Done
Reading state information... Done


The following additional packages will be installed:
  blt fonts-font-awesome fonts-lato fonts-lyx libboost-dev libboost1.74-dev libclang-cpp11 libexpat1-dev libjs-jquery-ui
  libjs-sphinxdoc libjs-underscore liblbfgsb0 libllvm11 libopenblas-dev libopenblas-pthread-dev libopenblas0
  libopenblas0-pthread libpython3-dev libpython3.10-dev libtbb12 libtbbmalloc2 libtk8.6 libxsimd-dev llvm-11 llvm-11-dev
  llvm-11-linker-tools llvm-11-runtime llvm-11-tools numba-doc python-babel-localedata python-matplotlib-data python-odf-doc
  python-odf-tools python-tables-data python3-appdirs python3-attr python3-babel python3-beniget python3-bottleneck
  python3-brotli python3-bs4 python3-cycler python3-dateutil python3-decorator python3-defusedxml python3-dev
  python3-et-xmlfile python3-fonttools python3-fs python3-gast python3-html5lib python3-iniconfig python3-jdcal python3-jinja2
  python3-kiwisolver python3-llvmlite python3-lxml python3-lz4 python3-markupsafe python3-matplotlib python3-mpmath
  python3-numba python3-numexpr python3-odf python3-openpyxl python3-packaging python3-pandas-lib python3-pil.imagetk
  python3-pip python3-pluggy python3-ply python3-py python3-pytest python3-pythran python3-scipy python3-setuptools
  python3-soupsieve python3-sympy python3-tables python3-tables-lib python3-tk python3-toml python3-tz python3-ufolib2
  python3-unicodedata2 python3-webencodings python3-wheel python3-xlwt python3.10-dev sphinx-rtd-theme-common tk8.6-blt2.5
  unicode-data zlib1g-dev
Suggested packages:
  blt-demo libboost-doc libboost1.74-doc libboost-atomic1.74-dev libboost-chrono1.74-dev libboost-container1.74-dev
  libboost-context1.74-dev libboost-contract1.74-dev libboost-coroutine1.74-dev libboost-date-time1.74-dev
  libboost-exception1.74-dev libboost-fiber1.74-dev libboost-filesystem1.74-dev libboost-graph1.74-dev
  libboost-graph-parallel1.74-dev libboost-iostreams1.74-dev libboost-locale1.74-dev libboost-log1.74-dev libboost-math1.74-dev
  libboost-mpi1.74-dev libboost-mpi-python1.74-dev libboost-numpy1.74-dev libboost-program-options1.74-dev
  libboost-python1.74-dev libboost-random1.74-dev libboost-regex1.74-dev libboost-serialization1.74-dev
  libboost-stacktrace1.74-dev libboost-system1.74-dev libboost-test1.74-dev libboost-thread1.74-dev libboost-timer1.74-dev
  libboost-type-erasure1.74-dev libboost-wave1.74-dev libboost1.74-tools-dev libmpfrc++-dev libntl-dev libboost-nowide1.74-dev
  libjs-jquery-ui-docs tk8.6 libxsimd-doc llvm-11-doc python-attr-doc python-bottleneck-doc python-cycler-doc python3-genshi
  python-jinja2-doc llvmlite-doc python-lxml-doc dvipng ffmpeg fonts-staypuft inkscape ipython3 python-matplotlib-doc
  python3-cairocffi python3-gobject python3-sip python3-tornado texlive-extra-utils texlive-latex-extra python-mpmath-doc
  python3-gmpy2 nvidia-cuda-toolkit python-pandas-doc python3-statsmodels python-pil-doc python-ply-doc subversion
  python-scipy-doc python-setuptools-doc texlive-fonts-extra python-sympy-doc python3-netcdf4 python-tables-doc vitables tix
  python3-tk-dbg python3-xlrd python-xlrt-doc
The following NEW packages will be installed:
  blt fonts-font-awesome fonts-lato fonts-lyx libboost-dev libboost1.74-dev libclang-cpp11 libexpat1-dev libjs-jquery-ui
  libjs-sphinxdoc libjs-underscore liblbfgsb0 libllvm11 libopenblas-dev libopenblas-pthread-dev libopenblas0
  libopenblas0-pthread libpython3-dev libpython3.10-dev libtbb12 libtbbmalloc2 libtk8.6 libxsimd-dev llvm-11 llvm-11-dev
  llvm-11-linker-tools llvm-11-runtime llvm-11-tools numba-doc python-babel-localedata python-matplotlib-data python-odf-doc
  python-odf-tools python-tables-data python3-appdirs python3-attr python3-babel python3-beniget python3-bottleneck
  python3-brotli python3-bs4 python3-cycler python3-dateutil python3-decorator python3-defusedxml python3-dev
  python3-et-xmlfile python3-fonttools python3-fs python3-gast python3-html5lib python3-iniconfig python3-jdcal python3-jinja2
  python3-kiwisolver python3-llvmlite python3-lxml python3-lz4 python3-markupsafe python3-matplotlib python3-mpmath
  python3-numba python3-numexpr python3-odf python3-openpyxl python3-packaging python3-pandas python3-pandas-lib
  python3-pil.imagetk python3-pip python3-pluggy python3-ply python3-py python3-pytest python3-pythran python3-scipy
  python3-setuptools python3-soupsieve python3-sympy python3-tables python3-tables-lib python3-tk python3-toml python3-tz
  python3-ufolib2 python3-unicodedata2 python3-webencodings python3-wheel python3-xlwt python3.10-dev sphinx-rtd-theme-common
  tk8.6-blt2.5 unicode-data zlib1g-dev
0 upgraded, 94 newly installed, 0 to remove and 4 not upgraded.
Need to get 162 MB of archives.
After this operation, 970 MB of additional disk space will be used.
Do you want to continue? [Y/n] 

...                 
Get:94 http://mirrors.wikimedia.org/ubuntu jammy/universe amd64 python3-xlwt all 1.3.0-3 [83.7 kB]                              
Fetched 162 MB in 7min 40s (353 kB/s)                                                                                           
Extracting templates from packages: 100%
Selecting previously unselected package fonts-lato.
(Reading database ... 313418 files and directories currently installed.)
 ...
Setting up python3-iniconfig (1.1.1-2) ...
Setting up libtbbmalloc2:amd64 (2021.5.0-7ubuntu2) ...
Setting up python3-attr (21.2.0-1) ...
Setting up libboost1.74-dev:amd64 (1.74.0-14ubuntu3) ...
Setting up fonts-lato (2.0-2.1) ...
Setting up libopenblas0-pthread:amd64 (0.3.20+ds-1) ...
update-alternatives: using /usr/lib/x86_64-linux-gnu/openblas-pthread/libblas.so.3 to provide /usr/lib/x86_64-linux-gnu/libblas.so.3 (libblas.so.3-x86_64-linux-gnu) in auto mode
update-alternatives: using /usr/lib/x86_64-linux-gnu/openblas-pthread/liblapack.so.3 to provide /usr/lib/x86_64-linux-gnu/liblapack.so.3 (liblapack.so.3-x86_64-linux-gnu) in auto mode
update-alternatives: using /usr/lib/x86_64-linux-gnu/openblas-pthread/libopenblas.so.0 to provide /usr/lib/x86_64-linux-gnu/libopenblas.so.0 (libopenblas.so.0-x86_64-linux-gnu) in auto mode
Setting up python3-setuptools (59.6.0-1.2) ...
Setting up python3-py (1.10.0-1) ...
Setting up python3-jdcal (1.0-1.3) ...
Setting up python3-lz4 (3.1.3+dfsg-1build3) ...
Setting up python3-defusedxml (0.7.1-1) ...
Setting up llvm-11-tools (1:11.1.0-6) ...
Setting up python3-tables-lib (3.7.0-2build1) ...
Setting up python3-unicodedata2 (14.0.0+ds-8) ...
Setting up fonts-lyx (2.3.6-1) ...
Setting up libtk8.6:amd64 (8.6.12-1build1) ...
Setting up python3-pandas-lib:amd64 (1.3.5+dfsg-3) ...
Setting up python3-ply (3.11-5) ...
Setting up python3-gast (0.5.2-2) ...
Setting up libtbb12:amd64 (2021.5.0-7ubuntu2) ...
Setting up python3-markupsafe (2.0.1-2build1) ...
Setting up python3-wheel (0.37.1-2) ...
Setting up python3-webencodings (0.5.1-4) ...
Setting up python3-tz (2022.1-1) ...
Setting up python-babel-localedata (2.8.0+dfsg.1-7) ...
Setting up unicode-data (14.0.0-1.1) ...
Setting up python3-beniget (0.4.1-2) ...
Setting up libxsimd-dev:amd64 (7.6.0-2) ...
Setting up python3-decorator (4.4.2-0ubuntu1) ...
Setting up python3-packaging (21.3-1) ...
Setting up libllvm11:amd64 (1:11.1.0-6) ...
Setting up libjs-jquery-ui (1.13.1+dfsg-1) ...
Setting up libexpat1-dev:amd64 (2.4.7-1) ...
Setting up python3-brotli (1.0.9-2build6) ...
Setting up python3-cycler (0.11.0-1) ...
Setting up python-odf-doc (1.4.2-1) ...
Setting up python3-kiwisolver (1.3.2-1build1) ...
Setting up python3-xlwt (1.3.0-3) ...
Setting up python3-bottleneck (1.3.2+ds1-2build1) ...
Setting up python3-numexpr (2.8.1-1build1) ...
Setting up python3-pip (22.0.2+dfsg-1) ...
Setting up python3-html5lib (1.1-3) ...
Setting up python3-toml (0.10.2-1) ...
Setting up python3-pluggy (0.13.0-7.1) ...
Setting up llvm-11-linker-tools (1:11.1.0-6) ...
Setting up zlib1g-dev:amd64 (1:1.2.11.dfsg-2ubuntu9) ...
Setting up libopenblas0:amd64 (0.3.20+ds-1) ...
Setting up python3-lxml:amd64 (4.8.0-1build1) ...
Setting up python3-et-xmlfile (1.0.1-2.1) ...
Setting up python3-dateutil (2.8.1-6) ...
Setting up libboost-dev:amd64 (1.74.0.3ubuntu7) ...
Setting up python3-mpmath (1.2.1-2) ...
Setting up python-matplotlib-data (3.5.1-2build1) ...
Setting up python3-appdirs (1.4.4-2) ...
Setting up python3-soupsieve (2.3.1-1) ...
Setting up python-tables-data (3.7.0-2build1) ...
Setting up fonts-font-awesome (5.0.10+really4.7.0~dfsg-4.1) ...
Setting up sphinx-rtd-theme-common (1.0.0+dfsg-1) ...
Setting up libjs-underscore (1.13.2~dfsg-2) ...
Setting up liblbfgsb0:amd64 (3.0+dfsg.3-10) ...
Setting up python3-odf (1.4.2-1) ...
Setting up libopenblas-pthread-dev:amd64 (0.3.20+ds-1) ...
update-alternatives: using /usr/lib/x86_64-linux-gnu/openblas-pthread/libblas.so to provide /usr/lib/x86_64-linux-gnu/libblas.so (libblas.so-x86_64-linux-gnu) in auto mode
update-alternatives: using /usr/lib/x86_64-linux-gnu/openblas-pthread/liblapack.so to provide /usr/lib/x86_64-linux-gnu/liblapack.so (liblapack.so-x86_64-linux-gnu) in auto mode
update-alternatives: using /usr/lib/x86_64-linux-gnu/openblas-pthread/libopenblas.so to provide /usr/lib/x86_64-linux-gnu/libopenblas.so (libopenblas.so-x86_64-linux-gnu) in auto mode
Setting up python3-sympy (1.9-1) ...
Setting up tk8.6-blt2.5 (2.5.3+dfsg-4.1build2) ...
Setting up llvm-11-runtime (1:11.1.0-6) ...
Setting up python3-babel (2.8.0+dfsg.1-7) ...
update-alternatives: using /usr/bin/pybabel-python3 to provide /usr/bin/pybabel (pybabel) in auto mode
Setting up python3-pytest (6.2.5-1ubuntu2) ...
Setting up blt (2.5.3+dfsg-4.1build2) ...
Setting up python-odf-tools (1.4.2-1) ...
Setting up llvm-11 (1:11.1.0-6) ...
Setting up python3-tk:amd64 (3.10.4-0ubuntu1) ...
Setting up python3-tables (3.7.0-2build1) ...
Setting up python3-bs4 (4.10.0-2) ...
Setting up python3-fs (2.4.12-1) ...
Setting up libclang-cpp11 (1:11.1.0-6) ...
Setting up python3-llvmlite (0.38.0-1) ...
Setting up libopenblas-dev:amd64 (0.3.20+ds-1) ...
Setting up python3-jinja2 (3.0.3-1) ...
Setting up python3-pandas (1.3.5+dfsg-3) ...
Setting up python3-pil.imagetk:amd64 (9.0.1-1build1) ...
Setting up python3-openpyxl (3.0.9-1) ...
Setting up libpython3.10-dev:amd64 (3.10.4-3) ...
Setting up libjs-sphinxdoc (4.3.2-1) ...
Setting up python3.10-dev (3.10.4-3) ...
Setting up numba-doc (0.55.1-0ubuntu2) ...
Setting up libpython3-dev:amd64 (3.10.4-0ubuntu2) ...
Setting up llvm-11-dev (1:11.1.0-6) ...
Setting up python3-dev (3.10.4-0ubuntu2) ...
Setting up python3-pythran (0.10.0+ds2-1) ...
Setting up python3-scipy (1.8.0-1exp2ubuntu1) ...
Setting up python3-numba (0.55.1-0ubuntu2) ...
update-alternatives: using /usr/share/python3-numba/numba to provide /usr/bin/numba (numba) in auto mode
Setting up python3-fonttools (4.29.1-2build1) ...
Setting up python3-ufolib2 (0.13.1+dfsg1-1) ...
Setting up python3-matplotlib (3.5.1-2build1) ...
Processing triggers for libc-bin (2.35-0ubuntu3) ...
Processing triggers for man-db (2.10.2-1) ...
Processing triggers for fontconfig (2.13.1-4.2ubuntu5) ...

Python3 GeoPandas

python3-geopandas | libspatialindex6:amd64 (1.9.3-2) ... | libspatialindex-c6:amd64 (1.9.3-2) ... | pkg-config (0.29.2-1ubuntu3) ... | -click-plugins (1.1.1-3) ... | -cligj (0.7.2-1) ... | -descartes (1.1.0-4) ... | -munch (2.5.0-1) ... | -fiona (1.8.21-1build1) ... | -geographiclib (1.52-1) ... | -pyproj (3.3.0-2build1) ... | -shapely (1.8.0-1build1) ... | -geopandas (0.10.2-1) ... | -geopy (2.2.0-1) ... | libspatialindex-dev:amd64 (1.9.3-2) ... | -rtree (0.9.7-1) ...

mjam@x10jam:~/srcs_mjam$ sudo apt install python3-geopandas
Reading package lists... Done
Building dependency tree... Done
Reading state information... Done


The following additional packages will be installed:
  libspatialindex-c6 libspatialindex-dev libspatialindex6 pkg-config python3-click-plugins python3-cligj python3-descartes
  python3-fiona python3-geographiclib python3-geopy python3-munch python3-pyproj python3-rtree python3-shapely
Suggested packages:
  fiona-doc
The following NEW packages will be installed:
  libspatialindex-c6 libspatialindex-dev libspatialindex6 pkg-config python3-click-plugins python3-cligj python3-descartes
  python3-fiona python3-geographiclib python3-geopandas python3-geopy python3-munch python3-pyproj python3-rtree
  python3-shapely
0 upgraded, 15 newly installed, 0 to remove and 4 not upgraded.
Need to get 2,539 kB of archives.
After this operation, 9,051 kB of additional disk space will be used.
Do you want to continue? [Y/n] 
...                
Get:15 http://mirrors.wikimedia.org/ubuntu jammy/universe amd64 python3-rtree all 0.9.7-1 [46.4 kB]                             
Fetched 2,539 kB in 8s (333 kB/s)                                                                                               
Selecting previously unselected package libspatialindex6:amd64.
(Reading database ... 344713 files and directories currently installed.)
Preparing to unpack .../00-libspatialindex6_1.9.3-2_amd64.deb ...
Unpacking libspatialindex6:amd64 (1.9.3-2) ...
Selecting previously unselected package libspatialindex-c6:amd64.
Preparing to unpack .../01-libspatialindex-c6_1.9.3-2_amd64.deb ...
Unpacking libspatialindex-c6:amd64 (1.9.3-2) ...
Selecting previously unselected package pkg-config.
Preparing to unpack .../02-pkg-config_0.29.2-1ubuntu3_amd64.deb ...
Unpacking pkg-config (0.29.2-1ubuntu3) ...
Selecting previously unselected package python3-click-plugins.
Preparing to unpack .../03-python3-click-plugins_1.1.1-3_all.deb ...
Unpacking python3-click-plugins (1.1.1-3) ...
Selecting previously unselected package python3-cligj.
Preparing to unpack .../04-python3-cligj_0.7.2-1_all.deb ...
Unpacking python3-cligj (0.7.2-1) ...
Selecting previously unselected package python3-descartes.
Preparing to unpack .../05-python3-descartes_1.1.0-4_all.deb ...
Unpacking python3-descartes (1.1.0-4) ...
Selecting previously unselected package python3-munch.
Preparing to unpack .../06-python3-munch_2.5.0-1_all.deb ...
Unpacking python3-munch (2.5.0-1) ...
Selecting previously unselected package python3-fiona.
Preparing to unpack .../07-python3-fiona_1.8.21-1build1_amd64.deb ...
Unpacking python3-fiona (1.8.21-1build1) ...
Selecting previously unselected package python3-geographiclib.
Preparing to unpack .../08-python3-geographiclib_1.52-1_amd64.deb ...
Unpacking python3-geographiclib (1.52-1) ...
Selecting previously unselected package python3-pyproj.
Preparing to unpack .../09-python3-pyproj_3.3.0-2build1_amd64.deb ...
Unpacking python3-pyproj (3.3.0-2build1) ...
Selecting previously unselected package python3-shapely.
Preparing to unpack .../10-python3-shapely_1.8.0-1build1_amd64.deb ...
Unpacking python3-shapely (1.8.0-1build1) ...
Selecting previously unselected package python3-geopandas.
Preparing to unpack .../11-python3-geopandas_0.10.2-1_all.deb ...
Unpacking python3-geopandas (0.10.2-1) ...
Selecting previously unselected package python3-geopy.
Preparing to unpack .../12-python3-geopy_2.2.0-1_all.deb ...
Unpacking python3-geopy (2.2.0-1) ...
Selecting previously unselected package libspatialindex-dev:amd64.
Preparing to unpack .../13-libspatialindex-dev_1.9.3-2_amd64.deb ...
Unpacking libspatialindex-dev:amd64 (1.9.3-2) ...
Selecting previously unselected package python3-rtree.
Preparing to unpack .../14-python3-rtree_0.9.7-1_all.deb ...
Unpacking python3-rtree (0.9.7-1) ...
Setting up python3-shapely (1.8.0-1build1) ...
Setting up python3-cligj (0.7.2-1) ...
Setting up python3-descartes (1.1.0-4) ...
Setting up python3-geographiclib (1.52-1) ...
Setting up libspatialindex6:amd64 (1.9.3-2) ...
Setting up python3-pyproj (3.3.0-2build1) ...
Setting up python3-munch (2.5.0-1) ...
Setting up python3-geopy (2.2.0-1) ...
Setting up python3-click-plugins (1.1.1-3) ...
Setting up pkg-config (0.29.2-1ubuntu3) ...
Setting up libspatialindex-c6:amd64 (1.9.3-2) ...
Setting up libspatialindex-dev:amd64 (1.9.3-2) ...
Setting up python3-fiona (1.8.21-1build1) ...
Setting up python3-rtree (0.9.7-1) ...
Setting up python3-geopandas (0.10.2-1) ...
Processing triggers for man-db (2.10.2-1) ...
Processing triggers for libc-bin (2.35-0ubuntu3) ...

Python3 xarray

xarray (0.21.1-1) | libfuse2:amd64 (2.9.9-5ubuntu3) ... | libhttp-parser2.9:amd64 (2.9.4-4) ... | libmbedcrypto7:amd64 (2.28.0-1build1) ... | libmbedx509-1:amd64 (2.28.0-1build1) ... | libmbedtls14:amd64 (2.28.0-1build1) ... | libgit2-1.1:amd64 (1.1.0+dfsg.1-4.1build1) ... | liblzf1:amd64 (3.6-3) ... | -asciitree (0.3.3-3) ... | -blosc (1.9.2+ds1-3build2) ... | -cftime (1.5.2+ds-1build1) ... | -cloudpickle (2.0.0-1) ... | -fsspec (2022.01.0-1) ... | -toolz (0.11.2-1) ... | -locket (0.2.1-1) ... | -partd (1.2.0-1) ... | -dask (2022.01.0+dfsg-1ubuntu1) ... | -msgpack (1.0.3-1build1) ... | -psutil (5.9.0-1build1) ... | -sortedcontainers (2.1.0-2) ... | -tblib (1.7.0-2) ... | -heapdict (1.0.1-1) ... | -zict (2.0.0-1) ... | -distributed (2022.01.0+ds.1-1) ... | -stone (3.3.1-1) ... | -dropbox (11.26.0-1) ... | -monotonic (1.6-2) ... | -fasteners (0.14.1-2) ... | -fusepy (3.0.1-2) ... | -h5py-serial (3.6.0-2build1) ... | -h5netcdf (0.12.0-1) ... | -nacl (1.5.0-2) ... | -netcdf4 (1.5.8-1build1) ... | -numcodecs (0.9.1+ds-2build1) ... | -bcrypt (3.2.0-1build1) ... | -paramiko (2.9.3-0ubuntu1) ... | -pygit2 (1.6.1+dfsg-2) ... | -zarr (2.10.3+ds-1) ... | -libarchive-c (2.9-0.1) ...


$ sudo apt install python3-xarray
...
The following additional packages will be installed:
  libfuse2 libgit2-1.1 libhttp-parser2.9 liblzf1 libmbedcrypto7 libmbedtls14 libmbedx509-1 python3-asciitree python3-bcrypt
  python3-blosc python3-cftime python3-cloudpickle python3-dask python3-distributed python3-dropbox python3-fasteners
  python3-fsspec python3-fusepy python3-h5netcdf python3-h5py-serial python3-heapdict python3-libarchive-c python3-locket
  python3-monotonic python3-msgpack python3-nacl python3-netcdf4 python3-numcodecs python3-paramiko python3-partd
  python3-psutil python3-pygit2 python3-sortedcontainers python3-stone python3-tblib python3-toolz python3-zarr python3-zict
Suggested packages:
  python-blosc-doc ipython python-dask-doc python3-bcolz python3-boto python3-graphviz python3-h5py python3-skimage
  python3-sklearn python3-sqlalchemy python-fsspec-doc python-h5py-doc python-nacl-doc python3-gssapi python3-invoke
  python-psutil-doc python-pygit2-doc python-sortedcontainers-doc python-toolz-doc python-xarray-doc python3-cartopy
  python3-pydap python3-seaborn jupyter-notebook
The following NEW packages will be installed:
  libfuse2 libgit2-1.1 libhttp-parser2.9 liblzf1 libmbedcrypto7 libmbedtls14 libmbedx509-1 python3-asciitree python3-bcrypt
  python3-blosc python3-cftime python3-cloudpickle python3-dask python3-distributed python3-dropbox python3-fasteners
  python3-fsspec python3-fusepy python3-h5netcdf python3-h5py-serial python3-heapdict python3-libarchive-c python3-locket
  python3-monotonic python3-msgpack python3-nacl python3-netcdf4 python3-numcodecs python3-paramiko python3-partd
  python3-psutil python3-pygit2 python3-sortedcontainers python3-stone python3-tblib python3-toolz python3-xarray python3-zarr
  python3-zict
0 upgraded, 39 newly installed, 0 to remove and 16 not upgraded.
Need to get 6,281 kB of archives.
After this operation, 36.3 MB of additional disk space will be used.
...                         
Get:39 http://mirrors.wikimedia.org/ubuntu jammy/universe amd64 python3-libarchive-c all 2.9-0.1 [14.5 kB]                      
Fetched 6,281 kB in 19s (326 kB/s)                                                                                              
Extracting templates from packages: 100%
Selecting previously unselected package libfuse2:amd64.
(Reading database ... 383465 files and directories currently installed.)

Setting up python3-heapdict (1.0.1-1) ...
Setting up python3-libarchive-c (2.9-0.1) ...
Setting up python3-tblib (1.7.0-2) ...
Setting up python3-numcodecs (0.9.1+ds-2build1) ...
Setting up python3-bcrypt (3.2.0-1build1) ...
Setting up python3-fsspec (2022.01.0-1) ...
Setting up python3-xarray (0.21.1-1) ...
Setting up python3-sortedcontainers (2.1.0-2) ...
Setting up libfuse2:amd64 (2.9.9-5ubuntu3) ...
Setting up python3-psutil (5.9.0-1build1) ...
Setting up python3-cloudpickle (2.0.0-1) ...
Setting up python3-monotonic (1.6-2) ...
Setting up python3-blosc (1.9.2+ds1-3build2) ...
Setting up python3-stone (3.3.1-1) ...
Setting up libmbedcrypto7:amd64 (2.28.0-1build1) ...
Setting up liblzf1:amd64 (3.6-3) ...
Setting up python3-cftime (1.5.2+ds-1build1) ...
Setting up python3-fasteners (0.14.1-2) ...
Setting up python3-asciitree (0.3.3-3) ...
Setting up python3-toolz (0.11.2-1) ...
Setting up python3-msgpack (1.0.3-1build1) ...
Setting up python3-zarr (2.10.3+ds-1) ...
Setting up python3-zict (2.0.0-1) ...
Setting up python3-locket (0.2.1-1) ...
Setting up python3-netcdf4 (1.5.8-1build1) ...
Setting up python3-nacl (1.5.0-2) ...
Setting up libhttp-parser2.9:amd64 (2.9.4-4) ...
Setting up python3-dropbox (11.26.0-1) ...
Setting up python3-partd (1.2.0-1) ...
Setting up libmbedx509-1:amd64 (2.28.0-1build1) ...
Setting up libmbedtls14:amd64 (2.28.0-1build1) ...
Setting up libgit2-1.1:amd64 (1.1.0+dfsg.1-4.1build1) ...
Setting up python3-pygit2 (1.6.1+dfsg-2) ...
Setting up python3-dask (2022.01.0+dfsg-1ubuntu1) ...
Setting up python3-h5py-serial (3.6.0-2build1) ...
Setting up python3-fusepy (3.0.1-2) ...
Setting up python3-distributed (2022.01.0+ds.1-1) ...
Setting up python3-h5netcdf (0.12.0-1) ...
Setting up python3-paramiko (2.9.3-0ubuntu1) ...
Processing triggers for man-db (2.10.2-1) ...
Processing triggers for libc-bin (2.35-0ubuntu3) ..

osm2pgsql

osm2pgsql | gdal-data (3.4.1+dfsg-1build4) ... | libgdal30 (3.4.1+dfsg-1build4) ... | libgeos3.10.2:amd64 (3.10.2-1) ... | libgeos-c1v5:amd64 (3.10.2-1) ... | proj-data (8.2.1-1) ... | libproj22:amd64 (8.2.1-1) ... | proj-bin (8.2.1-1) ... | python3-pyosmium (3.2.0-1build1) ... | osm2pgsql (1.6.0+ds-1) ... | postgresql-14-postgis-3 (3.2.0+dfsg-1ubuntu1) ... | postgis (3.2.0+dfsg-1ubuntu1) ... | postgis-doc (3.2.0+dfsg-1ubuntu1) ... | postgresql-14-postgis-3-scripts (3.2.0+dfsg-1ubuntu1) ... | python3-psycopg2 (2.9.2-1build2) ... | libgeotiff5:amd64 (1.7.0-2build1) ... | mysql-common (5.8+1.0.8) ... | libmysqlclient21:amd64 (8.0.29-0ubuntu0.22.04.2) ... | libnetcdf19:amd64 (1:4.8.1-1) ... | libhdf5-103-1:amd64 (1.10.7+repack-4ubuntu2) ... | libhdf5-hl-100:amd64 (1.10.7+repack-4ubuntu2) ... | libhdf4-0-alt (4.2.15-4) ... | libkmlbase1:amd64 (1.3.0-9) ... | libkmldom1:amd64 (1.3.0-9) ... | libkmlengine1:amd64 (1.3.0-9) ... | libprotobuf-c1:amd64 (1.3.3-1ubuntu2) ... | libsfcgal1 (1.4.1-1) ... | libodbc2:amd64 (2.3.9-5) ... | unixodbc-common (2.3.9-5) ... | libodbcinst2:amd64 (2.3.9-5) ... | libogdi4.1 (4.1.0+ds-5) ... | libqhull-r8.0:amd64 (2020.2-4) ... | librttopo1:amd64 (1.1.0-2) ... | libspatialite7:amd64 (5.0.1-2build2) ... | libxerces-c3.2:amd64 (3.2.3+debian-3build1) ... | libaec0:amd64 (1.0.6-1) ... | libgmpxx4ldbl:amd64 (2:6.2.1+dfsg-3ubuntu1) ... | libsz2:amd64 (1.0.6-1) ... | liburiparser1:amd64 (0.9.6+dfsg-1) ... | libarpack2:amd64 (3.8.0-1) ... | libsuperlu5:amd64 (5.3.0+dfsg1-2) ... | libarmadillo10 (1:10.8.2+dfsg-1) ... | libblosc1:amd64 (1.21.1+ds2-2) ... | libboost-serialization1.74.0:amd64 (1.74.0-14ubuntu3) ... | libcfitsio9:amd64 (4.0.0-1) ... | libcharls2:amd64 (2.3.4-1) ... | libfyba0:amd64 (4.1.1-7) ... | libfreexl1:amd64 (1.0.6-1) ... | grass-doc (7.8.7-1) ... | grass-core (7.8.7-1) ... | libgdal-grass (3.4.1-3) ...


$ sudo apt install --yes osm2pgsql
[sudo] password for mjam: 
Reading package lists... Done
Building dependency tree... Done
Reading state information... Done


The following additional packages will be installed:
  gdal-data libaec0 libarmadillo10 libarpack2 libblosc1 libboost-serialization1.74.0 libcfitsio9 libcharls2 libfreexl1 libfyba0
  libgdal30 libgeos-c1v5 libgeos3.10.2 libgeotiff5 libgmpxx4ldbl libhdf4-0-alt libhdf5-103-1 libhdf5-hl-100 libkmlbase1
  libkmldom1 libkmlengine1 libmysqlclient21 libnetcdf19 libodbc2 libodbcinst2 libogdi4.1 libproj22 libprotobuf-c1 libqhull-r8.0
  librttopo1 libsfcgal1 libspatialite7 libsuperlu5 libsz2 liburiparser1 libxerces-c3.2 mysql-common postgis postgis-doc
  postgresql-14-postgis-3 postgresql-14-postgis-3-scripts proj-bin proj-data python3-psycopg2 python3-pyosmium unixodbc-common

Suggested packages:
  geotiff-bin gdal-bin libgeotiff-epsg libhdf4-doc libhdf4-alt-dev hdf4-tools odbc-postgresql tdsodbc ogdi-bin
  python-psycopg2-doc python3-shapely pyosmium-doc
The following NEW packages will be installed:
  gdal-data libaec0 libarmadillo10 libarpack2 libblosc1 libboost-serialization1.74.0 libcfitsio9 libcharls2 libfreexl1 libfyba0
  libgdal30 libgeos-c1v5 libgeos3.10.2 libgeotiff5 libgmpxx4ldbl libhdf4-0-alt libhdf5-103-1 libhdf5-hl-100 libkmlbase1
  libkmldom1 libkmlengine1 libmysqlclient21 libnetcdf19 libodbc2 libodbcinst2 libogdi4.1 libproj22 libprotobuf-c1 libqhull-r8.0
  librttopo1 libsfcgal1 libspatialite7 libsuperlu5 libsz2 liburiparser1 libxerces-c3.2 mysql-common osm2pgsql postgis
  postgis-doc postgresql-14-postgis-3 postgresql-14-postgis-3-scripts proj-bin proj-data python3-psycopg2 python3-pyosmium
  unixodbc-common
0 upgraded, 47 newly installed, 0 to remove and 4 not upgraded.
Need to get 40.6 MB of archives.
After this operation, 159 MB of additional disk space will be used.
...
Get:47 http://mirrors.wikimedia.org/ubuntu jammy/universe amd64 proj-bin amd64 8.2.1-1 [154 kB]                                 
Fetched 40.6 MB in 1min 46s (384 kB/s)                                                                                          
Extracting templates from packages: 100%
Selecting previously unselected package gdal-data.
(Reading database ... 307329 files and directories currently installed.)
...
Setting up libgeos3.10.2:amd64 (3.10.2-1) ...
Setting up mysql-common (5.8+1.0.8) ...
update-alternatives: using /etc/mysql/my.cnf.fallback to provide /etc/mysql/my.cnf (my.cnf) in auto mode
Setting up libmysqlclient21:amd64 (8.0.29-0ubuntu0.22.04.2) ...
Setting up libxerces-c3.2:amd64 (3.2.3+debian-3build1) ...
Setting up proj-data (8.2.1-1) ...
Setting up libogdi4.1 (4.1.0+ds-5) ...
Setting up libcharls2:amd64 (2.3.4-1) ...
Setting up libarpack2:amd64 (3.8.0-1) ...
Setting up libsuperlu5:amd64 (5.3.0+dfsg1-2) ...
Setting up libqhull-r8.0:amd64 (2020.2-4) ...
Setting up libproj22:amd64 (8.2.1-1) ...
Setting up postgresql-14-postgis-3-scripts (3.2.0+dfsg-1ubuntu1) ...
update-alternatives: using /usr/share/postgresql/14/extension/postgis-3.control to provide /usr/share/postgresql/14/extension/postgis.control (postgresql-14-postgis.control) in auto mode
Setting up libprotobuf-c1:amd64 (1.3.3-1ubuntu2) ...
Setting up libaec0:amd64 (1.0.6-1) ...
Setting up gdal-data (3.4.1+dfsg-1build4) ...
Setting up libgeotiff5:amd64 (1.7.0-2build1) ...
Setting up python3-pyosmium (3.2.0-1build1) ...
Setting up libcfitsio9:amd64 (4.0.0-1) ...
Setting up postgis-doc (3.2.0+dfsg-1ubuntu1) ...
Setting up libgmpxx4ldbl:amd64 (2:6.2.1+dfsg-3ubuntu1) ...
Setting up python3-psycopg2 (2.9.2-1build2) ...
Setting up libgeos-c1v5:amd64 (3.10.2-1) ...
Setting up unixodbc-common (2.3.9-5) ...
Setting up libhdf4-0-alt (4.2.15-4) ...
Setting up libboost-serialization1.74.0:amd64 (1.74.0-14ubuntu3) ...
Setting up libodbc2:amd64 (2.3.9-5) ...
Setting up liburiparser1:amd64 (0.9.6+dfsg-1) ...
Setting up librttopo1:amd64 (1.1.0-2) ...
Setting up libfreexl1:amd64 (1.0.6-1) ...
Setting up libfyba0:amd64 (4.1.1-7) ...
Setting up libkmlbase1:amd64 (1.3.0-9) ...
Setting up libblosc1:amd64 (1.21.1+ds2-2) ...
Setting up libsfcgal1 (1.4.1-1) ...
Setting up libsz2:amd64 (1.0.6-1) ...
Setting up libkmldom1:amd64 (1.3.0-9) ...
Setting up libspatialite7:amd64 (5.0.1-2build2) ...
Setting up osm2pgsql (1.6.0+ds-1) ...
Setting up libodbcinst2:amd64 (2.3.9-5) ...
Setting up libarmadillo10 (1:10.8.2+dfsg-1) ...
Setting up libkmlengine1:amd64 (1.3.0-9) ...
Setting up proj-bin (8.2.1-1) ...
Setting up libhdf5-103-1:amd64 (1.10.7+repack-4ubuntu2) ...
Setting up libhdf5-hl-100:amd64 (1.10.7+repack-4ubuntu2) ...
Setting up libnetcdf19:amd64 (1:4.8.1-1) ...
Setting up libgdal30 (3.4.1+dfsg-1build4) ...
Setting up postgresql-14-postgis-3 (3.2.0+dfsg-1ubuntu1) ...
Setting up postgis (3.2.0+dfsg-1ubuntu1) ...
Processing triggers for postgresql-common (238) ...
Building PostgreSQL dictionaries from installed myspell/hunspell packages...
Removing obsolete dictionary files:
Processing triggers for libc-bin (2.35-0ubuntu3) ...
Processing triggers for man-db (2.10.2-1) ...

mjam@x10jam:~/srcs_mjam$ sudo apt install geotiff-bin gdal-bin 
Reading package lists... Done
Building dependency tree... Done
Reading state information... Done


The following additional packages will be installed:
  python3-gdal python3-numpy
Suggested packages:
  libgdal-grass libgeotiff-epsg gfortran python-numpy-doc python3-dev python3-pytest
The following NEW packages will be installed:
  gdal-bin geotiff-bin python3-gdal python3-numpy
0 upgraded, 4 newly installed, 0 to remove and 4 not upgraded.
Need to get 4,408 kB of archives.
After this operation, 25.0 MB of additional disk space will be used.
Do you want to continue? [Y/n] 
Get:1 http://mirrors.wikimedia.org/ubuntu jammy/main amd64 python3-numpy amd64 1:1.21.5-1build2 [3,464 kB]
Get:2 http://mirrors.wikimedia.org/ubuntu jammy/universe amd64 python3-gdal amd64 3.4.1+dfsg-1build4 [673 kB]                   
Get:3 http://mirrors.wikimedia.org/ubuntu jammy/universe amd64 gdal-bin amd64 3.4.1+dfsg-1build4 [241 kB]                       
Get:4 http://mirrors.wikimedia.org/ubuntu jammy/universe amd64 geotiff-bin amd64 1.7.0-2build1 [30.3 kB]                        
Fetched 4,408 kB in 12s (360 kB/s)                                                                                              
Setting up python3-numpy (1:1.21.5-1build2) ...
Setting up geotiff-bin (1.7.0-2build1) ...
Setting up python3-gdal (3.4.1+dfsg-1build4) ...
Setting up gdal-bin (3.4.1+dfsg-1build4) ...
Processing triggers for man-db (2.10.2-1) ...
mjam@x10jam:~/srcs_mjam$ sudo apt install libgdal-grass
Reading package lists... Done
Building dependency tree... Done
Reading state information... Done

The following additional packages will be installed:
  grass-core grass-doc javascript-common libjs-jquery python3-distutils python3-lib2to3
Suggested packages:
  grass-dev grass-gui e00compr avce00 gnuplot gpsbabel gpstrans python3-rpy2 python3-termcolor grass grass-dev-doc
The following NEW packages will be installed:
  grass-core grass-doc javascript-common libgdal-grass libjs-jquery python3-distutils python3-lib2to3
0 upgraded, 7 newly installed, 0 to remove and 4 not upgraded.
Need to get 42.0 MB of archives.
After this operation, 75.9 MB of additional disk space will be used.
Do you want to continue? [Y/n] 
Get:1 http://mirrors.wikimedia.org/ubuntu jammy/main amd64 libjs-jquery all 3.6.0+dfsg+~3.5.13-1 [321 kB]
Get:2 http://mirrors.wikimedia.org/ubuntu jammy/universe amd64 grass-doc all 7.8.7-1 [34.9 MB]                                  
Get:3 http://mirrors.wikimedia.org/ubuntu jammy/main amd64 python3-lib2to3 all 3.10.4-0ubuntu1 [76.2 kB]                        
Get:4 http://mirrors.wikimedia.org/ubuntu jammy/main amd64 python3-distutils all 3.10.4-0ubuntu1 [138 kB]                       
Get:5 http://mirrors.wikimedia.org/ubuntu jammy/universe amd64 grass-core amd64 7.8.7-1 [6,548 kB]                              
Get:6 http://mirrors.wikimedia.org/ubuntu jammy/main amd64 javascript-common all 11+nmu1 [5,936 B]                              
Get:7 http://mirrors.wikimedia.org/ubuntu jammy/universe amd64 libgdal-grass amd64 3.4.1-3 [27.7 kB]                            
Fetched 42.0 MB in 1min 56s (363 kB/s)                                                                                          
Selecting previously unselected package libjs-jquery.
(Reading database ... 309873 files and directories currently installed.)
Preparing to unpack .../0-libjs-jquery_3.6.0+dfsg+~3.5.13-1_all.deb ...
Unpacking libjs-jquery (3.6.0+dfsg+~3.5.13-1) ...
Selecting previously unselected package grass-doc.
Preparing to unpack .../1-grass-doc_7.8.7-1_all.deb ...
Unpacking grass-doc (7.8.7-1) ...
Selecting previously unselected package python3-lib2to3.
Preparing to unpack .../2-python3-lib2to3_3.10.4-0ubuntu1_all.deb ...
Unpacking python3-lib2to3 (3.10.4-0ubuntu1) ...
Selecting previously unselected package python3-distutils.
Preparing to unpack .../3-python3-distutils_3.10.4-0ubuntu1_all.deb ...
Unpacking python3-distutils (3.10.4-0ubuntu1) ...
Selecting previously unselected package grass-core.
Preparing to unpack .../4-grass-core_7.8.7-1_amd64.deb ...
Unpacking grass-core (7.8.7-1) ...
Selecting previously unselected package javascript-common.
Preparing to unpack .../5-javascript-common_11+nmu1_all.deb ...
Unpacking javascript-common (11+nmu1) ...
Selecting previously unselected package libgdal-grass.
Preparing to unpack .../6-libgdal-grass_3.4.1-3_amd64.deb ...
Unpacking libgdal-grass (3.4.1-3) ...
Setting up javascript-common (11+nmu1) ...
apache2_invoke: Enable configuration javascript-common
Setting up libjs-jquery (3.6.0+dfsg+~3.5.13-1) ...
Setting up python3-lib2to3 (3.10.4-0ubuntu1) ...
Setting up python3-distutils (3.10.4-0ubuntu1) ...
Setting up grass-doc (7.8.7-1) ...
Setting up grass-core (7.8.7-1) ...
Setting up libgdal-grass (3.4.1-3) ...
Processing triggers for desktop-file-utils (0.26-1ubuntu3) ...
Processing triggers for hicolor-icon-theme (0.17-2) ...
Processing triggers for man-db (2.10.2-1) ...
Processing triggers for mailcap (3.70+nmu1ubuntu1) ...

mjam@x10jam:~/srcs_mjam$ sudo apt install libgdal-grass
Reading package lists... Done
Building dependency tree... Done
Reading state information... Done


The following additional packages will be installed:
  grass-core grass-doc javascript-common libjs-jquery python3-distutils python3-lib2to3

Suggested packages:
  grass-dev grass-gui e00compr avce00 gnuplot gpsbabel gpstrans python3-rpy2 python3-termcolor grass grass-dev-doc
The following NEW packages will be installed:
  grass-core grass-doc javascript-common libgdal-grass libjs-jquery python3-distutils python3-lib2to3
0 upgraded, 7 newly installed, 0 to remove and 4 not upgraded.
Need to get 42.0 MB of archives.
After this operation, 75.9 MB of additional disk space will be used.
Do you want to continue? [Y/n] 
Get:1 http://mirrors.wikimedia.org/ubuntu jammy/main amd64 libjs-jquery all 3.6.0+dfsg+~3.5.13-1 [321 kB]
Get:2 http://mirrors.wikimedia.org/ubuntu jammy/universe amd64 grass-doc all 7.8.7-1 [34.9 MB]                                  
Get:3 http://mirrors.wikimedia.org/ubuntu jammy/main amd64 python3-lib2to3 all 3.10.4-0ubuntu1 [76.2 kB]                        
Get:4 http://mirrors.wikimedia.org/ubuntu jammy/main amd64 python3-distutils all 3.10.4-0ubuntu1 [138 kB]                       
Get:5 http://mirrors.wikimedia.org/ubuntu jammy/universe amd64 grass-core amd64 7.8.7-1 [6,548 kB]                              
Get:6 http://mirrors.wikimedia.org/ubuntu jammy/main amd64 javascript-common all 11+nmu1 [5,936 B]                              
Get:7 http://mirrors.wikimedia.org/ubuntu jammy/universe amd64 libgdal-grass amd64 3.4.1-3 [27.7 kB]                            
Fetched 42.0 MB in 1min 56s (363 kB/s)                                                                                          
Selecting previously unselected package libjs-jquery.
(Reading database ... 309873 files and directories currently installed.)


Setting up javascript-common (11+nmu1) ...
apache2_invoke: Enable configuration javascript-common
Setting up libjs-jquery (3.6.0+dfsg+~3.5.13-1) ...
Setting up python3-lib2to3 (3.10.4-0ubuntu1) ...
Setting up python3-distutils (3.10.4-0ubuntu1) ...
Setting up grass-doc (7.8.7-1) ...
Setting up grass-core (7.8.7-1) ...
Setting up libgdal-grass (3.4.1-3) ...
Processing triggers for desktop-file-utils (0.26-1ubuntu3) ...
Processing triggers for hicolor-icon-theme (0.17-2) ...
Processing triggers for man-db (2.10.2-1) ...
Processing triggers for mailcap (3.70+nmu1ubuntu1) ...